# Get workflow instance

`GET /v1.0-beta1/workflows/{workflowComponentName}/{instanceId}`

Get information about a given workflow instance.

## Request

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `workflowComponentName` | string | Yes | Use "dapr" for Catalyst Workflows. Pattern: `^[a-zA-Z0-9_-]+$`. |
| `instanceId` | string | Yes | Unique value created for each run of a specific workflow. Pattern: `^[a-zA-Z0-9_-]+$`. |

## Responses

### 200 — OK.

`application/json`

- `createdAt` (string (date-time))
- `instanceID` (string) — Pattern: `^[a-zA-Z0-9_-]+$`.
- `lastUpdatedAt` (string (date-time))
- `properties` (object)
- `runtimeStatus` (string) — One of: `RUNNING`, `COMPLETED`, `CONTINUED_AS_NEW`, `FAILED`, `CANCELED`, `TERMINATED`, `PENDING`, `SUSPENDED`.

### 400 — Request was malformed.

### 500 — Request formatted correctly, error in Catalyst code or underlying component.
